/* selector universal */

* {
   margin: 0;
   padding: 0;

}

/* selector de etiqueta */

/* Imagen del cuerpo de la pagina web */
body {
   background-image: url(/img/5176471.jpg);
   color: #f5f1f1
}


#menu {
   height: 2.5%;
   background-color: aliceblue;
   margin: 5em;

   border-radius: 5px;
}

nav {
   background-color: #333;
   display: none;

}

nav ul {
   list-style-type: none;
   margin: 0;
   padding: 0;
}

nav ul li {
   display: inline;
}

nav ul li a {
   display: inline-block;
   padding: 10px 20px;
   text-decoration: none;
   color: #050505;
}

nav ul li:hover {
   background-color: #555;

}

/* selector de etiqueta para el menu3 */
ul {
   padding: 10px;

}

li {
   display: inline;
   text-align: center;
   padding: 10px 30px;
   margin: 3em;

}

li a:hover {
   color: rgb(248, 245, 245);
   font-size: 20px;
   text-decoration: none;
   list-style: none;

}

/* selector de clase */
.img {
   width: 40%;
   height: 200px;
   border-radius: 30px;
   justify-items: center;

}

.texto {
   text-align: center;
   font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   font-size: 20px;
   padding: 5px 25px;
   color: rgb(12, 12, 12);
}


.pie {

   height: 60px;
   background-color: rgb(14, 13, 13);
   margin: 2em;
   text-align: center;
   padding: 5px;

}

.pie h4 {

   padding: 2px;
   color: rgb(247, 238, 238);
   font-size: 20px;

   

}

/* Desplazamiento de la pagina web */
html {
   scroll-behavior: smooth;
}

/*card*/

.card {
   box-shadow: 0 4px 8px 0 black;
   overflow: hidden;
   text-align: center;
   border: 2px solid;
   border-radius: 10px;
   width: 250px;
   padding: 25px;
   margin-right: 5px;
   margin-bottom: 20px;
   display: inline-block;
   background-color: rgba(247, 244, 244, 0.897);
   color: #050505;
}

.card-container {
   display: flex;
   justify-content: space-between;
}

.card:hover {

   max-width: 400px;
}

.card img {

   background-color: white;
}

.title {

   color: rgb(32, 32, 31);
   font-size: 10px;
}

/* Boton de cards */
button {

   padding: 19px 20px;
   border-radius: 45px;
   border: 0;
   background-color: rgba(255, 255, 255, 0.897);
   box-shadow: #0000000d 0 0 8px;
   letter-spacing: 1.5px;
   text-transform: uppercase;
   font-size: 15px;
   transition: all .5s ease;
}

button:hover {
   letter-spacing: 3px;
   background-color: #5d18dc;
   color: #fffffff5;
   box-shadow: #5d18dc 0px 7px 29px 0px;
   cursor: pointer;
}

/* Boton para el menu */
.btn {
   width: 150px;
   border-radius: 5px;
   border: none;
   transition: all 0.5s ease-in-out;
   font-size: 20px;
   font-family: Verdana, Geneva, Tahoma, sans-serif;
   font-weight: 600;
   display: flex;
   align-items: center;

}

.btn .icon {
   position: absolute;
   height: 40px;
   width: 78px;
   display: block;
   justify-content: center;
   align-items: center;
   transition: all 0.5s;
}

.btn .text {
   transform: translateX(50px);
}

.btn:hover .icon {
   width: 150px;

}

.btn:hover .text {
   transition: all 0.5s;
   opacity: 0;
}

.btn:focus {
   outline: none;
}

/* La duracion en abrir el boton hamburguesa */

.btn:active .icon {
   transform: scale(9999.85s);
   cursor: text;
}

.linea {
   width: 80%;
   height: 1px;
   background-color: #f5f1f1;
   margin: 20px auto;
}

.madimi-one-regular {
   font-family: "Madimi One", sans-serif;
   font-weight: 400;
   font-style: normal;
}

.flex {
   display: flex;
   flex-direction: row;
   flex-wrap: wrap;
   justify-content: center;
}

/* Diseño para lo que contiene el menu */
.links a {
   text-decoration: none;
   color: black;
   display: block;
   padding: 10px;
}

/* Lo que contiene el menu */
.links {
   background: #f5f1f1;
   max-width: 120%;
   display: none;
   position: absolute;
   top: 30%;
   top: calc(14%);
   left: 1%;
}

.menu label {
   display: none;


}

#menu:checked~.navbar {
   display: initial;
}

/*Color al seleccionar una opcion*/
.btn:hover+.links,
.links a:hover {
   background-color: white;
}


.despegable:hover .links {
   display: block;
}

/* Adaptacion de pagina web en celular y tablet */

@media screen and (max-width:1200px) {
   nav {
      text-align: center;
      background: rgba(255, 255, 255, 0.8);
      /* Ajusta el fondo del nav*/
      border-radius: 10px;
      /* Ajusta el radio del border*/
      padding: 10px;
      /* Ajusta el espacio interno*/
   }

   nav ul {
      justify-content: center;
      display: block;
   }

   nav ul li {
      margin: 0 auto;
      display: block;
   }

   .card {
      display: block;
      margin: 50x;
      width: 60%;


   }

   .img {
      width: 60%;
   }

   .linea {
      max-width: 60%;
   }

   header {
      text-align: center;
   }

   #btn {
      position: relative;
      margin: 5px auto;
      display: block;


   }

   body {
      background-image: url(/img/2fondo.png);
      background-repeat: no-repeat;
      background-size: cover;
   }

}



@media screen and (max-width:400px) {
   nav {
      text-align: center;
      background: rgba(255, 255, 255, 0.8);
      /* Ajusta el fondo del nav*/
      border-radius: 10px;
      /* Ajusta el radio del border*/
      padding: 5px;
      /* Ajusta el espacio interno*/
   }

   nav ul {
      justify-content: center;
      display: block;
   }

   nav ul li {
      margin: 0 auto;
      display: block;
   }

   .card {
      display: block;
      margin: 10px;
      width: 80%;


   }

   .img {
      width: 40%;
   }

   .linea {
      max-width: 30%;
   }

   header {
      text-align: center;
   }

   #btn {
      position: relative;
      margin: 2px auto;
      display: block;


   }



   .links {
      background: #f5f1f1;
      max-width: 120%;
      display: none;
      position: absolute;
      top: 30%;
      top: calc(14%);
      left: 1%;
   }



   body {
      background-image: url(/img/Fondomundo.png);
      background-repeat: no-repeat;
      background-size: cover;
   }

}



@media screen and (min-device-width: 768px) and (max-width: 1024px) {

   nav {
      text-align: center;
      background: rgba(255, 255, 255, 0.8);
      /* Ajusta el fondo del nav*/
      border-radius: 15px;
      /* Ajusta el radio del border*/
      padding: 15px;
      /* Ajusta el espacio interno*/
   }

   nav ul {
      justify-content: center;
      display: block;
   }

   nav ul li {
      margin: 0 auto;
      display: block;
   }

   .card {
      display: block;
      margin: 5px;
      width: 50%;

   }

   .img {
      width: 50%;
   }

   .linea {
      max-width: 30%;
   }

   header {
      text-align: center;
   }

   #btn {
      position: relative;
      margin: 2px auto;
      display: block;
      
   }

   .links {
      background: #f5f1f1;
      max-width: 120%;
      display: none;
      position: absolute;
      top: 30%;
      top: calc(14%);
      left: 1%;
   }

   body {
      background-image: url(/img/2fondo.png);
      background-repeat: no-repeat;
      background-size: cover;
   }

}